View Issue Details

IDProjectCategoryView StatusLast Update
0003622SymmetricDSBugpublic2018-10-31 14:59
ReporterlindomAssigned Tommichalek 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.9.8 
Target Version3.9.15Fixed in Version3.9.15 
Summary0003622: Monitoring of Heap space memory percent is not firing as expected
DescriptionI configured the monitoring according to the user guide, but this monitoring configuration does not seem to be running.I don't know if it's my configuration problem, or the documentation is not clear. The following is my configuration´╝Ü

monitor_id node_group_id external_id type expression threshold run_period run_count severity_level enabled create_time last_update_by last_update_time
test ALL ALL memory 20 10 2 1 1
    

Activities

hanes

2018-09-13 10:19

developer   ~0001236

Tested in 3.9.13. Confirmed. My used to total heap percent was approximately 10%. Even setting the monitor to Threshold of 1 does not seem to cause the monitor event to show up in sym_monitor_event. Setting the Threshold to 0 does in fact cause the monitor to fire. Perhaps there's a scaling issue when going from Threshold value in the database to percent of heap used?

admin

2018-10-04 08:46

administrator   ~0001256

I think the monitor is returning the percentage of memory used as a decimal instead of an integer. When 30% of heap is used, it returns 0.30 instead of 30.

mmichalek

2018-10-29 16:34

administrator   ~0001305

Memory monitor threshold now works with an integer based percent. So "60" for the threshold should fire when used when 60% of the allowed memory is used.

Related Changesets

SymmetricDS: 3.9 69f4ce8d

2018-10-29 16:33:08

mmichalek

Details Diff
0003622: Monitoring of Heap space memory percent is not firing as expected
0003622
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/monitor/MonitorTypeMemory.java Diff File

Issue History

Date Modified Username Field Change
2018-07-08 23:24 lindom New Issue
2018-09-13 10:19 hanes Note Added: 0001236
2018-09-13 10:19 hanes Status new => confirmed
2018-10-03 13:30 hanes Summary Monitoring configuration but not taking effect => Monitoring of Heap space memory percent is not firing as expected
2018-10-03 13:31 hanes Priority high => normal
2018-10-03 13:31 hanes Target Version => 3.9.15
2018-10-04 08:46 admin Note Added: 0001256
2018-10-29 16:22 mmichalek Assigned To => mmichalek
2018-10-29 16:22 mmichalek Status confirmed => assigned
2018-10-29 16:34 mmichalek Status assigned => resolved
2018-10-29 16:34 mmichalek Resolution open => fixed
2018-10-29 16:34 mmichalek Fixed in Version => 3.9.15
2018-10-29 16:34 mmichalek Note Added: 0001305
2018-10-29 17:00 mmichalek Changeset attached => SymmetricDS 3.9 69f4ce8d
2018-10-31 14:59 mmichalek Status resolved => closed